# RPM specfile for ximian-utils module
# Generated Fri Jul  6 18:52:54 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.5 2001/06/26 19:36:19 dobey Exp $

%define nam	ximian-utils
%define ver	0.2

Name:     	ximian-utils
Version: 	0.2
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://www.ximian.com/
Source0:	ximian-utils-0.2.tar.gz
Summary:	Ximian Utilities
Group:		User Interface/Desktop
Requires:	findutils
Provides:	ximutils = %{PACKAGE_VERSION}

%description
This package contains a set of utilities for the Ximian GNOME
desktop.  This includes an improved file search dialog and a
bonobo-based file viewer.

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL NEWS README
/opt/gnome/bin/*
/opt/gnome/share/gnome/ui/*
/opt/gnome/share/ximian-utils


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ximian-utils-0.2
    ;;
all)
%setup  -q -n ximian-utils-0.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
